// Copyright © 2020 The CefSharp Authors. All rights reserved.
//
// Use of this source code is governed by a BSD-style license that can be found in the LICENSE file.
namespace CefSharp.DevTools
{
    /// <summary>
    /// Generated DevToolsClient methods
    /// </summary>
    public partial class DevToolsClient
    {
        private CefSharp.DevTools.Accessibility.Accessibility _Accessibility;
        public CefSharp.DevTools.Accessibility.Accessibility Accessibility
        {
            get
            {
                if ((_Accessibility) == (null))
                {
                    _Accessibility = (new CefSharp.DevTools.Accessibility.Accessibility(this));
                }

                return _Accessibility;
            }
        }

        private CefSharp.DevTools.Animation.Animation _Animation;
        public CefSharp.DevTools.Animation.Animation Animation
        {
            get
            {
                if ((_Animation) == (null))
                {
                    _Animation = (new CefSharp.DevTools.Animation.Animation(this));
                }

                return _Animation;
            }
        }

        private CefSharp.DevTools.ApplicationCache.ApplicationCache _ApplicationCache;
        public CefSharp.DevTools.ApplicationCache.ApplicationCache ApplicationCache
        {
            get
            {
                if ((_ApplicationCache) == (null))
                {
                    _ApplicationCache = (new CefSharp.DevTools.ApplicationCache.ApplicationCache(this));
                }

                return _ApplicationCache;
            }
        }

        private CefSharp.DevTools.Audits.Audits _Audits;
        public CefSharp.DevTools.Audits.Audits Audits
        {
            get
            {
                if ((_Audits) == (null))
                {
                    _Audits = (new CefSharp.DevTools.Audits.Audits(this));
                }

                return _Audits;
            }
        }

        private CefSharp.DevTools.BackgroundService.BackgroundService _BackgroundService;
        public CefSharp.DevTools.BackgroundService.BackgroundService BackgroundService
        {
            get
            {
                if ((_BackgroundService) == (null))
                {
                    _BackgroundService = (new CefSharp.DevTools.BackgroundService.BackgroundService(this));
                }

                return _BackgroundService;
            }
        }

        private CefSharp.DevTools.Browser.Browser _Browser;
        public CefSharp.DevTools.Browser.Browser Browser
        {
            get
            {
                if ((_Browser) == (null))
                {
                    _Browser = (new CefSharp.DevTools.Browser.Browser(this));
                }

                return _Browser;
            }
        }

        private CefSharp.DevTools.CSS.CSS _CSS;
        public CefSharp.DevTools.CSS.CSS CSS
        {
            get
            {
                if ((_CSS) == (null))
                {
                    _CSS = (new CefSharp.DevTools.CSS.CSS(this));
                }

                return _CSS;
            }
        }

        private CefSharp.DevTools.CacheStorage.CacheStorage _CacheStorage;
        public CefSharp.DevTools.CacheStorage.CacheStorage CacheStorage
        {
            get
            {
                if ((_CacheStorage) == (null))
                {
                    _CacheStorage = (new CefSharp.DevTools.CacheStorage.CacheStorage(this));
                }

                return _CacheStorage;
            }
        }

        private CefSharp.DevTools.Cast.Cast _Cast;
        public CefSharp.DevTools.Cast.Cast Cast
        {
            get
            {
                if ((_Cast) == (null))
                {
                    _Cast = (new CefSharp.DevTools.Cast.Cast(this));
                }

                return _Cast;
            }
        }

        private CefSharp.DevTools.DOM.DOM _DOM;
        public CefSharp.DevTools.DOM.DOM DOM
        {
            get
            {
                if ((_DOM) == (null))
                {
                    _DOM = (new CefSharp.DevTools.DOM.DOM(this));
                }

                return _DOM;
            }
        }

        private CefSharp.DevTools.DOMDebugger.DOMDebugger _DOMDebugger;
        public CefSharp.DevTools.DOMDebugger.DOMDebugger DOMDebugger
        {
            get
            {
                if ((_DOMDebugger) == (null))
                {
                    _DOMDebugger = (new CefSharp.DevTools.DOMDebugger.DOMDebugger(this));
                }

                return _DOMDebugger;
            }
        }

        private CefSharp.DevTools.DOMSnapshot.DOMSnapshot _DOMSnapshot;
        public CefSharp.DevTools.DOMSnapshot.DOMSnapshot DOMSnapshot
        {
            get
            {
                if ((_DOMSnapshot) == (null))
                {
                    _DOMSnapshot = (new CefSharp.DevTools.DOMSnapshot.DOMSnapshot(this));
                }

                return _DOMSnapshot;
            }
        }

        private CefSharp.DevTools.DOMStorage.DOMStorage _DOMStorage;
        public CefSharp.DevTools.DOMStorage.DOMStorage DOMStorage
        {
            get
            {
                if ((_DOMStorage) == (null))
                {
                    _DOMStorage = (new CefSharp.DevTools.DOMStorage.DOMStorage(this));
                }

                return _DOMStorage;
            }
        }

        private CefSharp.DevTools.Database.Database _Database;
        public CefSharp.DevTools.Database.Database Database
        {
            get
            {
                if ((_Database) == (null))
                {
                    _Database = (new CefSharp.DevTools.Database.Database(this));
                }

                return _Database;
            }
        }

        private CefSharp.DevTools.DeviceOrientation.DeviceOrientation _DeviceOrientation;
        public CefSharp.DevTools.DeviceOrientation.DeviceOrientation DeviceOrientation
        {
            get
            {
                if ((_DeviceOrientation) == (null))
                {
                    _DeviceOrientation = (new CefSharp.DevTools.DeviceOrientation.DeviceOrientation(this));
                }

                return _DeviceOrientation;
            }
        }

        private CefSharp.DevTools.Emulation.Emulation _Emulation;
        public CefSharp.DevTools.Emulation.Emulation Emulation
        {
            get
            {
                if ((_Emulation) == (null))
                {
                    _Emulation = (new CefSharp.DevTools.Emulation.Emulation(this));
                }

                return _Emulation;
            }
        }

        private CefSharp.DevTools.HeadlessExperimental.HeadlessExperimental _HeadlessExperimental;
        public CefSharp.DevTools.HeadlessExperimental.HeadlessExperimental HeadlessExperimental
        {
            get
            {
                if ((_HeadlessExperimental) == (null))
                {
                    _HeadlessExperimental = (new CefSharp.DevTools.HeadlessExperimental.HeadlessExperimental(this));
                }

                return _HeadlessExperimental;
            }
        }

        private CefSharp.DevTools.IO.IO _IO;
        public CefSharp.DevTools.IO.IO IO
        {
            get
            {
                if ((_IO) == (null))
                {
                    _IO = (new CefSharp.DevTools.IO.IO(this));
                }

                return _IO;
            }
        }

        private CefSharp.DevTools.IndexedDB.IndexedDB _IndexedDB;
        public CefSharp.DevTools.IndexedDB.IndexedDB IndexedDB
        {
            get
            {
                if ((_IndexedDB) == (null))
                {
                    _IndexedDB = (new CefSharp.DevTools.IndexedDB.IndexedDB(this));
                }

                return _IndexedDB;
            }
        }

        private CefSharp.DevTools.Input.Input _Input;
        public CefSharp.DevTools.Input.Input Input
        {
            get
            {
                if ((_Input) == (null))
                {
                    _Input = (new CefSharp.DevTools.Input.Input(this));
                }

                return _Input;
            }
        }

        private CefSharp.DevTools.Inspector.Inspector _Inspector;
        public CefSharp.DevTools.Inspector.Inspector Inspector
        {
            get
            {
                if ((_Inspector) == (null))
                {
                    _Inspector = (new CefSharp.DevTools.Inspector.Inspector(this));
                }

                return _Inspector;
            }
        }

        private CefSharp.DevTools.LayerTree.LayerTree _LayerTree;
        public CefSharp.DevTools.LayerTree.LayerTree LayerTree
        {
            get
            {
                if ((_LayerTree) == (null))
                {
                    _LayerTree = (new CefSharp.DevTools.LayerTree.LayerTree(this));
                }

                return _LayerTree;
            }
        }

        private CefSharp.DevTools.Log.Log _Log;
        public CefSharp.DevTools.Log.Log Log
        {
            get
            {
                if ((_Log) == (null))
                {
                    _Log = (new CefSharp.DevTools.Log.Log(this));
                }

                return _Log;
            }
        }

        private CefSharp.DevTools.Memory.Memory _Memory;
        public CefSharp.DevTools.Memory.Memory Memory
        {
            get
            {
                if ((_Memory) == (null))
                {
                    _Memory = (new CefSharp.DevTools.Memory.Memory(this));
                }

                return _Memory;
            }
        }

        private CefSharp.DevTools.Network.Network _Network;
        public CefSharp.DevTools.Network.Network Network
        {
            get
            {
                if ((_Network) == (null))
                {
                    _Network = (new CefSharp.DevTools.Network.Network(this));
                }

                return _Network;
            }
        }

        private CefSharp.DevTools.Overlay.Overlay _Overlay;
        public CefSharp.DevTools.Overlay.Overlay Overlay
        {
            get
            {
                if ((_Overlay) == (null))
                {
                    _Overlay = (new CefSharp.DevTools.Overlay.Overlay(this));
                }

                return _Overlay;
            }
        }

        private CefSharp.DevTools.Page.Page _Page;
        public CefSharp.DevTools.Page.Page Page
        {
            get
            {
                if ((_Page) == (null))
                {
                    _Page = (new CefSharp.DevTools.Page.Page(this));
                }

                return _Page;
            }
        }

        private CefSharp.DevTools.Performance.Performance _Performance;
        public CefSharp.DevTools.Performance.Performance Performance
        {
            get
            {
                if ((_Performance) == (null))
                {
                    _Performance = (new CefSharp.DevTools.Performance.Performance(this));
                }

                return _Performance;
            }
        }

        private CefSharp.DevTools.Security.Security _Security;
        public CefSharp.DevTools.Security.Security Security
        {
            get
            {
                if ((_Security) == (null))
                {
                    _Security = (new CefSharp.DevTools.Security.Security(this));
                }

                return _Security;
            }
        }

        private CefSharp.DevTools.ServiceWorker.ServiceWorker _ServiceWorker;
        public CefSharp.DevTools.ServiceWorker.ServiceWorker ServiceWorker
        {
            get
            {
                if ((_ServiceWorker) == (null))
                {
                    _ServiceWorker = (new CefSharp.DevTools.ServiceWorker.ServiceWorker(this));
                }

                return _ServiceWorker;
            }
        }

        private CefSharp.DevTools.Storage.Storage _Storage;
        public CefSharp.DevTools.Storage.Storage Storage
        {
            get
            {
                if ((_Storage) == (null))
                {
                    _Storage = (new CefSharp.DevTools.Storage.Storage(this));
                }

                return _Storage;
            }
        }

        private CefSharp.DevTools.SystemInfo.SystemInfo _SystemInfo;
        public CefSharp.DevTools.SystemInfo.SystemInfo SystemInfo
        {
            get
            {
                if ((_SystemInfo) == (null))
                {
                    _SystemInfo = (new CefSharp.DevTools.SystemInfo.SystemInfo(this));
                }

                return _SystemInfo;
            }
        }

        private CefSharp.DevTools.Target.Target _Target;
        public CefSharp.DevTools.Target.Target Target
        {
            get
            {
                if ((_Target) == (null))
                {
                    _Target = (new CefSharp.DevTools.Target.Target(this));
                }

                return _Target;
            }
        }

        private CefSharp.DevTools.Tethering.Tethering _Tethering;
        public CefSharp.DevTools.Tethering.Tethering Tethering
        {
            get
            {
                if ((_Tethering) == (null))
                {
                    _Tethering = (new CefSharp.DevTools.Tethering.Tethering(this));
                }

                return _Tethering;
            }
        }

        private CefSharp.DevTools.Tracing.Tracing _Tracing;
        public CefSharp.DevTools.Tracing.Tracing Tracing
        {
            get
            {
                if ((_Tracing) == (null))
                {
                    _Tracing = (new CefSharp.DevTools.Tracing.Tracing(this));
                }

                return _Tracing;
            }
        }

        private CefSharp.DevTools.Fetch.Fetch _Fetch;
        public CefSharp.DevTools.Fetch.Fetch Fetch
        {
            get
            {
                if ((_Fetch) == (null))
                {
                    _Fetch = (new CefSharp.DevTools.Fetch.Fetch(this));
                }

                return _Fetch;
            }
        }

        private CefSharp.DevTools.WebAudio.WebAudio _WebAudio;
        public CefSharp.DevTools.WebAudio.WebAudio WebAudio
        {
            get
            {
                if ((_WebAudio) == (null))
                {
                    _WebAudio = (new CefSharp.DevTools.WebAudio.WebAudio(this));
                }

                return _WebAudio;
            }
        }

        private CefSharp.DevTools.WebAuthn.WebAuthn _WebAuthn;
        public CefSharp.DevTools.WebAuthn.WebAuthn WebAuthn
        {
            get
            {
                if ((_WebAuthn) == (null))
                {
                    _WebAuthn = (new CefSharp.DevTools.WebAuthn.WebAuthn(this));
                }

                return _WebAuthn;
            }
        }

        private CefSharp.DevTools.Media.Media _Media;
        public CefSharp.DevTools.Media.Media Media
        {
            get
            {
                if ((_Media) == (null))
                {
                    _Media = (new CefSharp.DevTools.Media.Media(this));
                }

                return _Media;
            }
        }

        private CefSharp.DevTools.Debugger.Debugger _Debugger;
        public CefSharp.DevTools.Debugger.Debugger Debugger
        {
            get
            {
                if ((_Debugger) == (null))
                {
                    _Debugger = (new CefSharp.DevTools.Debugger.Debugger(this));
                }

                return _Debugger;
            }
        }

        private CefSharp.DevTools.HeapProfiler.HeapProfiler _HeapProfiler;
        public CefSharp.DevTools.HeapProfiler.HeapProfiler HeapProfiler
        {
            get
            {
                if ((_HeapProfiler) == (null))
                {
                    _HeapProfiler = (new CefSharp.DevTools.HeapProfiler.HeapProfiler(this));
                }

                return _HeapProfiler;
            }
        }

        private CefSharp.DevTools.Profiler.Profiler _Profiler;
        public CefSharp.DevTools.Profiler.Profiler Profiler
        {
            get
            {
                if ((_Profiler) == (null))
                {
                    _Profiler = (new CefSharp.DevTools.Profiler.Profiler(this));
                }

                return _Profiler;
            }
        }

        private CefSharp.DevTools.Runtime.Runtime _Runtime;
        public CefSharp.DevTools.Runtime.Runtime Runtime
        {
            get
            {
                if ((_Runtime) == (null))
                {
                    _Runtime = (new CefSharp.DevTools.Runtime.Runtime(this));
                }

                return _Runtime;
            }
        }
    }
}